//Platforms Matari

var matari1icon = SuperConsoles_Haxor.modPath + '/source/img/Matari.png';
GDT.addPlatform({
	id : 'Matari2600',
	name : 'Matari 2600',
	company : 'Matari',
	startAmount : 0.25,
	unitsSold : 0.5,
	licencePrize : 25000,
	published : '1/1/1',
	platformRetireDate : '9/10/2',
	developmentCosts : 25000,
	genreWeightings : [0.7, 0.9, 0.9, 0.9, 0.6, 1],
	audienceWeightings : [0.9, 1, 0.6],
	techLevel : 1,
	iconUri : matari1icon,
				});

var matari2icon = SuperConsoles_Haxor.modPath + '/source/img/Matari.png';
GDT.addPlatform({
	id : 'Matari5200',
	name : 'Matari 5200',
	company : 'Matari',
	startAmount : 0.37,
	unitsSold : 0.69,
	licencePrize : 50000,
	published : '3/2/2',
	platformRetireDate : '5/3/4',
	developmentCosts : 27500,
	genreWeightings : [0.8, 0.8, 0.8, 0.9, 0.8, 1],
	audienceWeightings : [0.9, 1, 0.7],
	techLevel : 1,
	iconUri : matari2icon,
	events : [{
			id : '16a2c63b-921c-456c-86b8-763b86dcc843',
			date : '3/1/3',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Matari has just announced their new console called Matari 5200. Matari wants to compete with Ninvento. It will be better than old Matari, but experts say that games and consoles will lose its popularity, and that will affect sales. {n} Matari said that it will be published {0}.".localize().format(General.getETADescription('3/1/3', '3/2/2')),
					image : matari2icon
				});
			}
		}
	]
});
var matari3icon = SuperConsoles_Haxor.modPath + '/source/img/Matari.png';
GDT.addPlatform({

	id : 'Matari7800',
	name : 'Matari 7800',
	company : 'Matari',
	startAmount : 0.4,
	unitsSold : 0.75,
	licencePrize : 78000,
	published : '7/1/2',
	platformRetireDate : '9/6/2',
	developmentCosts : 35000,
	genreWeightings : [0.8, 0.9, 1, 0.8, 0.9, 1],
	audienceWeightings : [0.9, 1, 0.6],
	techLevel : 2,
	iconUri : matari3icon,
	events : [{
			id : 'a7589459-7f7c-4b54-b132-994cfc8f9c26',
			date : '7/7/2',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Matari announced their newest console which they didnt give a name. Matari only hinted the codename which is: Matari 3,50-B1. Some experts are talking about Matari 7200 or 7500. We know that their new game console will hit shelves in {0}.".localize().format(General.getETADescription('7/7/2', '7/9/2')),
					image : matari3icon
				});
			}
		}
	]
});
var matari4icon = SuperConsoles_Haxor.modPath + '/source/img/Matari.png';
GDT.addPlatform({

	id : '16537DF1-58F1-4S23-8854-F1A262NOO33BF',
	name : 'Matari Januar',
	company : 'Matari',
	startAmount : 0.39,
	unitsSold : 0.77,
	licencePrize : 100000,
	published : '12/2/2',
	platformRetireDate : '15/8/4',
	developmentCosts : 70000,
	genreWeightings : [0.9, 1, 0.7, 0.6, 0.8, 0.7],
	audienceWeightings : [0.7, 1, 0.9],
	techLevel : 4,
	iconUri : matari4icon,
	events : [{
			id : '16a2c63b-921c-456c-86b8-763b86dccLEL3',
			date : '11/11/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Matari has just announced their new console called Matari Januar. Its a 64-bit gaming console, while Ninvento or Vena uses 16 bit. It has a good specification, and could be good rival. {n} Some experts think that it is the last of Mataris consoles. It will hit shelves {0}.".localize().format(General.getETADescription('11/11/4', '12/2/2')),
					image : matari4icon
				});
			}
		}
	]
});


//Videopac

var CO2icon = SuperConsoles_Haxor.modPath + '/source/img/Vid.png';
GDT.addPlatform({
	id : 'CO2lol',
	name : 'Crodanavox Odyssei 2',
	company : 'Crodanavox',
	startAmount : 0.19,
	unitsSold : 0.39,
	licencePrize : 2000,
	published : '1/1/1',
	platformRetireDate : '2/8/1',
	developmentCosts : 10000,
	genreWeightings : [0.7, 0.9, 0.9, 0.7, 0.7, 1],
	audienceWeightings : [0.8, 1, 0.6],
	techLevel : 1,
	iconUri : CO2icon,
				});



//Platforms Coden

var qicon = SuperConsoles_Haxor.modPath + '/source/img/Coden16.png';
GDT.addPlatform({
	id : 'Coden16',
	name : 'Coden 16',
	company : 'Coden',
	startAmount : 0.39,
	unitsSold : 1.02,
	licencePrize : 50000,
	published : '5/10/2',
	platformRetireDate : '9/10/2',
	developmentCosts : 45000,
	genreWeightings : [1, 0.8, 0.9, 0.8, 0.9, 0.8],
	audienceWeightings : [0.7, 0.9, 1],
	techLevel : 3,
	iconUri : qicon,
	events : [{
			id : '92230381-51b5-452d-898c-d91c19fc0b31',
			date : '5/8/2',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Coden, a small company founded by a rich man just announced their first 16-bit console. Everyone is hyped for it, because it looks like one of the best consoles for the current industry. CEO of Coden said that Coden 16 will be destined for mature gamers. Sell starts {0}.".localize().format(General.getETADescription('5/8/2', '5/10/2')),
					image : qicon
				});
			}
		}
	]
});

var aicon = SuperConsoles_Haxor.modPath + '/source/img/Coden16x.png';
GDT.addPlatform({
	id : 'Coden16x',
	name : 'Coden 16x',
	company : 'Coden',
	startAmount : 0.37,
	unitsSold : 0.970,
	licencePrize : 95000,
	published : '7/2/1',
	platformRetireDate : '10/12/1',
	developmentCosts : 120000,
	genreWeightings : [0.9, 0.8, 0.8, 0.7, 0.9, 0.7],
	audienceWeightings : [0.6, 1, 0.9],
	techLevel : 4,
	iconUri : aicon,
	events : [{
			id : '64c3f193-6419-4c05-b8b2-064a8f48a698',
			date : '7/1/1',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Coden is known for its good previous console Coden 16. The company has just announced their new gaming console called Coden 16x. Its very similar to Coden 16, only with new and better components. Gamers didnt seem to be as excited as when Coden 16 was announced. It will hit shelves {0}.".localize().format(General.getETADescription('7/1/1', '7/2/1')),
					image : aicon
				});
			}
		}
	]
});

var ficon = SuperConsoles_Haxor.modPath + '/source/img/CFon.png';
GDT.addPlatform({
	id : 'CFon',
	name : 'CFon',
	company : 'Coden',
	startAmount : 1.85,
	unitsSold : 4,
	licencePrize : 200000,
	published : '22/4/4',
	platformRetireDate : '33/8/4',
	developmentCosts : 50000,
	genreWeightings : [0.6, 0.8, 0.8, 0.9, 0.8, 1],
	audienceWeightings : [1, 0.9, 0.6],
	techLevel : 5,
	iconUri : ficon,
	events : [{
			id : 'df872a6a-adfd-4b18-85c9-13ff7d870600',
			date : '22/3/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Coden, a small company known for many small games, and their Coden 16 and 16x consoles, has just announced their first mobile phone. Its called the CFon. The first analysis told us that the CFon will be very similar to the grPhone. Coden said that CFon will hit the shelves {0}.".localize().format(General.getETADescription('22/3/4', '22/4/4')),
					image : ficon
				});
			}
		}
	]
});

var pricon = SuperConsoles_Haxor.modPath + '/source/img/Premium.png';
GDT.addPlatform({
	id : 'pFon',
	name : 'CFon Premium',
	company : 'Coden',
	startAmount : 1.3,
	unitsSold : 4.2,
	licencePrize : 300000,
	published : '22/12/4',
	platformRetireDate : '33/12/4',
	developmentCosts : 50000,
	genreWeightings : [0.7, 0.8, 0.8, 0.9, 0.8, 1],
	audienceWeightings : [1, 0.9, 0.6],
	techLevel : 6,
	iconUri : pricon,
	events : [{
			id : 'df872a6a-adfd-4b18-85c9-13ff7d6667600',
			date : '22/10/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Coden has just announced their new version of CFon, called the CFon Premium. It will have 2,5 GB of RAM, and the same processor as the normal CFon, just smaller. Those specification makes the CFon Premium one of the most advanced phone ever. CFon Premium will hit the shelves {0}.".localize().format(General.getETADescription('22/10/4', '22/12/4')),
					image : pricon
				});
			}
		}
	]
});

GDT.addPlatform({
	id : 'CFon2',
	name : 'CFon 2',
	company : 'Coden',
	startAmount : 1.8,
	unitsSold : 4.4,
	licencePrize : 320000,
	published : '24/10/2',
	platformRetireDate : '34/6/4',
	developmentCosts : 60000,
	genreWeightings : [0.7, 0.8, 0.7, 0.9, 0.7, 1],
	audienceWeightings : [0.9, 1, 0.6],
	techLevel : 6,
	iconUri : ficon,
	events : [{
			id : 'df872a6a-adfd-4b18-85hAX0R13ff7d6667600',
			date : '24/8/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Coden has just announced the CFon 2. It looks exactly like the first CFon, and uses the same technology as the grPhone. Every expert that was asked about it, said that Coden copies the grPhone. This wont help Coden and their, as the CEO says small, financial problems. Anyway, the CFon 2 will be released {0}.".localize().format(General.getETADescription('24/8/4', '24/10/2')),
					image : ficon
				});
			}
		}
	]
});

var airicon = SuperConsoles_Haxor.modPath + '/source/img/Air.png';
GDT.addPlatform({
	id : 'SlimFon',
	name : 'CFon Slim',
	company : 'Coden',
	startAmount : 1.95,
	unitsSold : 3.2,
	licencePrize : 400000,
	published : '26/8/1',
	platformRetireDate : '256/12/4',
	developmentCosts : 70000,
	genreWeightings : [0.7, 0.8, 0.7, 0.9, 0.7, 1],
	audienceWeightings : [0.9, 1, 0.7],
	techLevel : 7,
	iconUri : airicon,
	events : [{
			id : 'df872a6a-aHAXdfd-4b18-85hAX0R13ff7d6667600',
			date : '26/6/1',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Coden announced their probably last platform ever. Its the CFon Slim. With 6,5mm it is really thin. Even if it is so thin it offers 2GB of RAM and 1,9 GHz processor, very similar as in CFon Premium. You will can buy it {0}. {n} We also want to say about Coden. They said that CFon Slim is their last platform. Its because their financial debt. No one knows if that is a kind of joke, but many people were waiting for new real consoles. That was only about Codens hardware, so we think that they will still release games, and cool applications. {n} If the CFon Slim will be successfull, Coden may return. We will find it out.".localize().format(General.getETADescription('26/6/1', '26/8/1')),
					image : airicon
				});
			}
		}
	]
});



var gicon = SuperConsoles_Haxor.modPath + '/source/img/Coden24.png';
GDT.addPlatform({
	id : 'Coden24',
	name : 'Coden 24',
	company : 'Coden',
	startAmount : 0.42,
	unitsSold : 1,
	licencePrize : 100000,
	published : '8/7/4',
	platformRetireDate : '13/10/1',
	developmentCosts : 80000,
	genreWeightings : [1, 0.6, 0.7, 0.6, 0.9, 0.9],
	audienceWeightings : [0.6, 1, 1],
	techLevel : 4,
	iconUri : gicon,
	events : [{
			id : '38b1LOL0-064b-IDC1-bcb7-d5ddb622eb68',
			date : '8/7/1',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Coden isnt happy with their last console, Coden 16x. They are working on a new gaming console which Coden announced as Coden 24. It looks very similar to Coden 16x, only with more power. Its another of Codens console for mature gamers. It will hit shelves {0}.".localize().format(General.getETADescription('8/7/1', '8/7/4')),
					image : gicon
				});
			}
		}
	]
});

var tabicon = SuperConsoles_Haxor.modPath + '/source/img/CTap.png';
GDT.addPlatform({
	id : 'CTAP',
	name : 'CTap',
	company : 'Coden',
	startAmount : 1.5,
	unitsSold : 4.5,
	licencePrize : 300000,
	published : '22/6/2',
	platformRetireDate : '33/8/4',
	developmentCosts : 60000,
	genreWeightings : [0.8, 0.7, 0.6, 0.9, 0.9, 1],
	audienceWeightings : [0.9, 1, 0.6],
	techLevel : 5,
	iconUri : tabicon,
	events : [{
			id : 'b59c37f6-4c05-40a6-996c-c448696a0151',
			date : '22/4/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Coden has just released their CFon, and now they announced CTap, which isnt a tablet, but a phablet. Phablets are big phones, or small tablets. CTap offers good resolution touch screen, and 1GB RAM. It's not much, but its processor, the SDX 2.1 offers full 3 GhZ. It will hit shelves {0}.".localize().format(General.getETADescription('22/4/4', '22/6/2')),
					image : tabicon
				});
			}
		}
	]
});

var CWicon = SuperConsoles_Haxor.modPath + '/source/img/Watch.png';
GDT.addPlatform({
	id : 'CWATCH',
	name : 'CWatch',
	company : 'Coden',
	startAmount : 0.7,
	unitsSold : 1.45,
	licencePrize : 225000,
	published : '22/4/4',
	platformRetireDate : '28/8/4',
	developmentCosts : 100000,
	genreWeightings : [0.7, 0.7, 0.7, 0.7, 0.7, 1],
	audienceWeightings : [0.9, 1, 0.6],
	techLevel : 5,
	iconUri : CWicon,
	events : [{
			id : '9d36da57-fcf3-45c4-8f03-7fa9nLOLedc4',
			date : '22/2/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Coden has just announced the CWatch. It looks very similar to the Smart Watch. Looks like Coden is copying other platforms, like the grPhone, because their own arent selling so good. {n} The CWatch, is bigger than the Smart Watch, and offers 128 MB RAM. The first testers said that CWatch is nothing compared to Smart Watch. It will hit shelves {0}. We will see how it will sell.".localize().format(General.getETADescription('22/2/4', '22/4/4')),
					image : CWicon
				});
			}
		}
	]
});


//Platforms sTV

var bicon = SuperConsoles_Haxor.modPath + '/source/img/Flat.png';
GDT.addPlatform({
	id : 'Flat',
	name : 'FlatTV',
	company : 'sTV',
	startAmount : 0.7,
	unitsSold : 3.2,
	licencePrize : 25000,
	published : '22/3/4',
	platformRetireDate : '28/12/4',
	developmentCosts : 100000,
	genreWeightings : [0.6, 0.7, 0.7, 0.9, 0.6, 1],
	audienceWeightings : [0.9, 1, 0.6],
	techLevel : 5,
	iconUri : bicon,
	events : [{
			id : 'a080cf6c-ad80-4937-b1b6-f10ecd61d096',
			date : '22/1/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "sTV which is known for futuristic TVs, has just announced their first game platform ever. Its a TV with a move detector, which is more advanced than mBox Konnect and PlaySystem camera. There is one downside though, sTV will be really expensive. It will hit shelves {0}.".localize().format(General.getETADescription('22/1/4', '22/3/4')),
					image : bicon
				});
			}
		}
	]
});

var smrticon = SuperConsoles_Haxor.modPath + '/source/img/Watch.png';
GDT.addPlatform({
	id : 'SmartWatch',
	name : 'Smart Watch',
	company : 'sTV',
	startAmount : 1.4,
	unitsSold : 2.95,
	licencePrize : 200000,
	published : '22/6/4',
	platformRetireDate : '30/4/4',
	developmentCosts : 120000,
	genreWeightings : [0.6, 0.6, 0.6, 0.7, 0.7, 1],
	audienceWeightings : [0.9, 1, 0.6],
	techLevel : 5,
	iconUri : smrticon,
	events : [{
			id : '9d36da57-fcf3-45c4-8f03-7fa9e696edc4',
			date : '22/4/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "sTV has released its well known platform, smartTV, and now they announced Smart Watch. It will be watch-sized flat touch screen. Its first device like that, it seems like sTV wants to make our life easier. {n} Back to the Smart Watch, it offers very good touch screen and 256MB of RAM, and the Outtel i1. The biggest surprise is with the 1GB build-in memory. It will hit shelves {0}.".localize().format(General.getETADescription('22/4/4', '22/6/4')),
					image : smrticon
				});
			}
		}
	]
});

var smrtsicon = SuperConsoles_Haxor.modPath + '/source/img/2Watch.png';
GDT.addPlatform({
	id : 'SmartWatch2',
	name : 'Smart Watch 2',
	company : 'sTV',
	startAmount : 1.8,
	unitsSold : 3.1,
	licencePrize : 275000,
	published : '23/4/4',
	platformRetireDate : '31/8/4',
	developmentCosts : 130000,
	genreWeightings : [0.6, 0.6, 0.6, 0.8, 0.7, 1],
	audienceWeightings : [0.9, 1, 0.6],
	techLevel : 6,
	iconUri : smrtsicon,
	events : [{
			id : '9d36da57-fcf3-45c4-8f03-7fa9nopeedc4',
			date : '23/2/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "sTV well known for their futuristic TVs and Smart Watch, has just announced The Smart Watch 2. It offers 1GB of RAM and the newest Snopdragon QE1337. It has a very small processor with 1,7 GhZ. Smart Watch 2 is slightly bigger, and heavier, but its specification is very good in this scale. {n} It seems that when Smart Watch 2 will be released, that is {0}, the old one will still be on sale.".localize().format(General.getETADescription('23/2/4', '23/4/4')),
					image : smrtsicon
				});
			}
		}
	]
});

var glicon = SuperConsoles_Haxor.modPath + '/source/img/Glass.png';
GDT.addPlatform({
	id : 'SmrtGlasses',
	name : 'Smart Glasses',
	company : 'sTV',
	startAmount : 3,
	unitsSold : 3.1,
	licencePrize : 250000,
	published : '24/6/4',
	platformRetireDate : '33/6/4',
	developmentCosts : 300000,
	genreWeightings : [0.6, 0.6, 0.6, 0.9, 0.6, 1],
	audienceWeightings : [0.8, 1, 0.6],
	techLevel : 6,
	iconUri : glicon,
	events : [{
			id : '9d36da57-fcf3-45c4-8f03-7fa9nohueheuheueheuc4',
			date : '24/4/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "sTV has just announced their new helpful platform. It's called Smart Glasses. They are just glasses with a desktop on the left eye where he can run apps. It is operated by voice. Smart Glasses is not a platform for games but only for applications. It looks promising. It will hit the shelves {0}.".localize().format(General.getETADescription('24/4/4', '24/6/4')),
					image : glicon
				});
			}
		}
	]
});

var holicon = SuperConsoles_Haxor.modPath + '/source/img/Holo.png';
GDT.addPlatform({
	id : 'SmartHolo',
	name : 'Smart Holo',
	company : 'sTV',
	startAmount : 3,
	unitsSold : 4.5,
	licencePrize : 120000,
	published : '31/6/4',
	platformRetireDate : '1265/12/4',
	developmentCosts : 1000000,
	genreWeightings : [0.6, 1, 0.9, 0.8, 0.8, 1],
	audienceWeightings : [0.8, 1, 0.8],
	techLevel : 7,
	iconUri : holicon,
	events : [{
			id : '9d36daHEXEVERYWHEReuheuehuc4',
			date : '31/4/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "sTV Known for example for their Smart Glasses has just announced their newest platform called Smart Holo. We know only its design. It will be a small white box with a hole on the top. We guess that it will display holographs. We will expect it on market {0}.".localize().format(General.getETADescription('31/4/4', '31/6/4')),
					image : holicon
				});
			}
		}
	]
});


//Micronoft

var boxicon = SuperConsoles_Haxor.modPath + '/source/img/Zal.png';
GDT.addPlatform({
id : 'mBoxMicro',
name : 'mBox Micro',
company : 'Micronoft',
startAmount : 1.85,
unitsSold : 4,
licencePrize : 100000,
published : '21/1/4',
platformRetireDate : '25/1/4',
developmentCosts : 300000,
genreWeightings : [0.8, 1, 0.8, 0.7, 0.8, 1],
audienceWeightings : [0.8, 1, 0.7],
techLevel : 5, 
iconUri : boxicon,
events : [{
			id : 'f5ff9a10HAX0000r4b1a-8183-505fc8bc1ea7',
			date : '20/12/1',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Micronoft, mostly known for the mBox and Vindovs OS has just announced their new console. It is called the mBox Micro, and as the name says, it is a small, portable console. The design looks VERY blocky, but the mBox Micro is the most powerful handheld console to ever hit the  shelves. {n} It offers 1,25 GB of RAM and about 1 GHz Outtels processor. The mBox Micro will hit shelves {0}.".localize().format(General.getETADescription('20/12/1', '21/1/4')),
					image : boxicon
				});
			}
		}
	]
});

//VENA

var masicon = SuperConsoles_Haxor.modPath + '/source/img/Master.png';
GDT.addPlatform({
	id : 'Master10',
	name : 'Master X',
	company : 'Vena',
	startAmount : 1,
	unitsSold : 2.2,
	licencePrize : 75000,
	published : '20/6/4',
	platformRetireDate : '23/6/4',
	developmentCosts : 175000,
	genreWeightings : [0.9, 1, 1, 0.7, 0.8, 0.8],
	audienceWeightings : [0.8, 1, 0.6],
	techLevel : 5,
	iconUri : masicon,
	events : [{
			id : 'DERPYROCKShaxs11',
			date : '20/4/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Vena has announced their new console called Master X. It is named like that because it doubled power of first console, the Master V. Master X is a small black box, like its precursor, so it seems old, but it really is not! It will hit shelves {0}.".localize().format(General.getETADescription('20/4/4', '20/6/4')),
					image : masicon
				});
			}
		}
	]
});


var smasicon = SuperConsoles_Haxor.modPath + '/source/img/Des.png';
GDT.addPlatform({
	id : 'VenaDes',
	name : 'Vena D3stroy3r',
	company : 'Vena',
	startAmount : 2,
	unitsSold : 4.2,
	licencePrize : 1200000,
	published : '30/2/4',
	platformRetireDate : '256/12/4',
	developmentCosts : 500000,
	genreWeightings : [1, 0.8, 0.7, 0.6, 0.9, 0.7],
	audienceWeightings : [0.6, 1, 1],
	techLevel : 7,
	iconUri : smasicon,
	events : [{
			id : 'Dlolhaxorisder12xs11',
			date : '30/2/2',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "There will be a new console from Vena! It is called the Vena D3stroy3r, or just Destroyer. The name was suggested bt fans, because ot should destroy the competition. The design is today-ish and It is not very overpowered, but it is a bit better than Playsystem 5. This is the only information we have from Vena, and we do not even know the release date, thought we expect that it will be published {0}.".localize().format(General.getETADescription('30/2/2', '30/2/4')),
					image : smasicon
				});
			}
		}
	]
});

// Platforms Govodore 

var cicon = SuperConsoles_Haxor.modPath + '/source/img/G.png';
GDT.addPlatform({
	id : 'GCDTV',
	name : 'Govodore CDTV',
	company : 'Govodore',
	startAmount : 0.45,
	unitsSold : 0.8,
	licencePrize : 25000,
	published : '7/5/2',
	platformRetireDate : '10/12/2',
	developmentCosts : 37000,
	genreWeightings : [0.7, 0.9, 0.9, 1, 1, 0.8],
	audienceWeightings : [0.8, 1, 0.7],
	techLevel : 3,
	iconUri : cicon,
	events : [{
			id : 'f5ff9a10-666d-4b1a-8183-505fc8bc1ea7',
			date : '7/4/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Govodore announced new personal computer called Govodore CDTV. But, Govodore Business Machines (GBM) was bankrupt, so CDTV is distributed by Govodore International. Anyway, their new console will be competing with Matari. Govodore said that there is no way to CDTV lose with Matari 7800. {n} Govodore CDTV will hit market`s shelves {0}.".localize().format(General.getETADescription('7/4/4', '7/5/2')),
					image : cicon
				});
			}
		}
	]
});

// Platforms Ninvento

var dicon = SuperConsoles_Haxor.modPath + '/source/img/Rainbow.png';
GDT.addPlatform({
	id : 'Rainbow',
	name : 'Gameling Rainbow',
	company : 'Ninvento',
	startAmount : 0.74,
	unitsSold : 2.912,
	licencePrize : 95000,
	published : '13/4/4',
	platformRetireDate : '19/4/4',
	developmentCosts : 40000,
	genreWeightings : [0.7, 0.9, 1, 0.6, 0.8, 0.9],
	audienceWeightings : [0.9, 1, 0.6],
	techLevel : 4,
	iconUri : dicon,
	events : [{
			id : '9d36da57-fcf3-45c4-8f03-7fa9e406edc4',
			date : '13/2/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Everyone remembers the successful Gameling. Now, Ninvento announced its new version: Gameling Rainbow. It will have a full colour screen, and almost 3x better components. Many game companies said that they will develop games for it. It will hit shelves {0}. Will it be better than original Gameling?".localize().format(General.getETADescription('13/2/4', '13/4/4')),
					image : dicon
				});
			}
		}
	]
});

var elicon = SuperConsoles_Haxor.modPath + '/source/img/Elite.png';
GDT.addPlatform({
	id : 'Hax0r666133',
	name : 'Gameling Elite',
	company : 'Ninvento',
	startAmount : 1.7,
	unitsSold : 3.1,
	licencePrize : 125000,
	published : '19/4/4',
	platformRetireDate : '25/8/4',
	developmentCosts : 75000,
	genreWeightings : [0.7, 0.9, 1, 0.6, 0.8, 0.9],
	audienceWeightings : [0.9, 1, 0.6],
	techLevel : 4,
	iconUri : elicon,
	events : [{
			id : '9d36da57-fcf3-45c466603-7fa9e406edc4',
			date : '19/2/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Ninvento, known for its console TES has just announced the new generation of Gameling called Gameling Elite. It is bigger than Gameling and Gameling Rainbow, but offers more up-to-date components. It has backwards compatibility with the other Gamelings. It is the last version of the original Gameling. It will hit shelves {0}.".localize().format(General.getETADescription('19/2/4', '19/4/4')),
					image : elicon
				});
			}
		}
	]
});

var boiicon = SuperConsoles_Haxor.modPath + '/source/img/Boy.png';
GDT.addPlatform({
	id : 'Hax0r666133haxfaxv',
	name : 'Visual Ling',
	company : 'Ninvento',
	startAmount : 0.2,
	unitsSold : 0.7,
	licencePrize : 125000,
	published : '13/12/2',
	platformRetireDate : '15/6/4',
	developmentCosts : 75000,
	genreWeightings : [0.7, 0.7, 0.7, 1, 0.6, 1],
	audienceWeightings : [0.9, 1, 0.6],
	techLevel : 2,
	iconUri : boiicon,
	events : [{
			id : '9d36da57-fcf3-45cHAX6603-7fa9e406edc4',
			date : '13/10/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Ninvento has just announced their new console called Visual Ling. It is the first ever console to use real 3D technology. But, Visual Ling is not so good at it looks like. There is only red color, and the Visual Ling which you need to have on your head is very heavy, and after 15 minutes of gameplay, your head starts to hurt awfully. We do not think, even if Visual Ling is the step forward, that it will be a success. Anyway, it is coming to shops {0}.".localize().format(General.getETADescription('13/10/4', '13/12/2')),
					image : boiicon
				});
			}
		}
	]
});

//Smoke Boxes

var smoicon = SuperConsoles_Haxor.modPath + '/source/img/Box.png';
GDT.addPlatform({
	id : 'haxorrockzmuhhaha',
	name : 'SmokeCube V1',
	company : 'Nelve',
	startAmount : 1,
	unitsSold : 3.5,
	licencePrize : 100000,
	published : '23/2/1',
	platformRetireDate : '30/8/4',
	developmentCosts : 150000,
	genreWeightings : [1, 0.7, 0.8, 0.6, 0.8, 0.7],
	audienceWeightings : [0.7, 1, 0.9],
	techLevel : 5,
	iconUri : smoicon,
	events : [{
			id : 'HAXHAChaxc05-40a6-996c-c448126a0151',
			date : '23/1/1',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "A company called Nelve announced their console line called SmokeCube months ago, but today they officaly announced the first platform from the line. It has 8GB of RAM and Outtel i5. This is making it a little better than today PCs. The SmokeCube will work on GridOS, which is for free, but there are not so many games for it right now. The SmokeCube is going to hit shelves {0}.".localize().format(General.getETADescription('23/1/1', '23/2/1')),
					image : smoicon
				});
			}
		}
	]
});

var smo2icon = SuperConsoles_Haxor.modPath + '/source/img/Box2.png';
GDT.addPlatform({
	id : 'SuperBestLol123',
	name : 'SmokeCube V2',
	company : 'Nelve',
	startAmount : 1.1,
	unitsSold : 3.52,
	licencePrize : 120000,
	published : '25/6/1',
	platformRetireDate : '32/10/4',
	developmentCosts : 175000,
	genreWeightings : [1, 0.8, 0.8, 0.6, 0.8, 0.9],
	audienceWeightings : [0.7, 1, 0.9],
	techLevel : 6,
	iconUri : smo2icon,
	events : [{
			id : 'HaxprSuperConsolesSMBox',
			date : '25/4/1',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Nelve has just announced a second version of their SmokeCube. It is now white, and of course, has better specification. Now it is 10 GB of RAM, but the processor is the same, just smaller and it is clocked at 3,2 GHz. It uses GridOS, but it is now way more advanced, and better looking. {n} SmokeCube V2 looks promising, thought it is not so big upgrade from SmokeCube. It will hit the shelves {0}.".localize().format(General.getETADescription('25/4/1', '25/6/1')),
					image : smo2icon
				});
			}
		}
	]
});

//Mana

var maicon = SuperConsoles_Haxor.modPath + '/source/img/Mana.png';
GDT.addPlatform({
	id : '16537DF1-58F1-4S23-8854-F1A26deepr933BF',
	name : 'Mana',
	company : 'MP',
	startAmount : 0.5,
	unitsSold : 0.99999,
	licencePrize : 75000,
	published : '19/2/2',
	platformRetireDate : '24/2/2',
	developmentCosts : 200000,
	genreWeightings : [0.6, 1, 1, 0.9, 0.8, 0.8],
	audienceWeightings : [1, 0.9, 0.6],
	techLevel : 4,
	iconUri : maicon,
	events : [{
			id : 'haxhaxhaxhaxhax',
			date : '18/12/2',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "MP, a company mostly known for its printers has just announced their first console called Mana. It is destined for young audiences. It is little underpowered, but MP said that there will be many, good optimized, games for their new platform, which will hit shelves {0}.".localize().format(General.getETADescription('18/12/2', '19/2/2')),
					image : maicon
				});
			}
		}
	]
});

var staicon = SuperConsoles_Haxor.modPath + '/source/img/Sta.png';
GDT.addPlatform({
	id : '1653HAXOR-rockz-8854-F1ATlolepr933BF',
	name : 'Stamina',
	company : 'MP',
	startAmount : 0.3,
	unitsSold : 0.9,
	licencePrize : 100000,
	published : '20/4/2',
	platformRetireDate : '25/2/2',
	developmentCosts : 250000,
	genreWeightings : [0.7, 1, 1, 0.6, 0.7, 1],
	audienceWeightings : [1, 1, 0.6],
	techLevel : 4,
	iconUri : staicon,
	events : [{
			id : 'halolhaxoerax',
			date : '20/2/2',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "MP Has just announced their second platform, called Stamina. That is a big controller which can be directly pinned to TV. That makes Stamina an all-in-one console. It is a bit underpowered, and very blocky. Mature audiences comment it as Heavy Block Of .... For Little Kids. This hate can really affect sales, but we will see about that. Stamina will hit shelves {0}.".localize().format(General.getETADescription('20/2/2', '20/4/2')),
					image : staicon
				});
			}
		}
	]
});

//Platforms Other


var eicon = SuperConsoles_Haxor.modPath + '/source/img/Notebook.png';
GDT.addPlatform({
	id : 'Note',
	name : 'Notebooks',
	company : 'many companies',
	startAmount : 0.37,
	unitsSold : 9.2,
	marketKeyPoints : [{date: "20/8/1",amount: 1.096}, {date: "25/10/4",amount: 3.878}, {date: "32/9/3",amount: 9.002}],
	licencePrize : 0,
	published : '19/8/1',
	platformRetireDate : '2165/12/4',
	developmentCosts : 10000,
	genreWeightings : [0.8, 0.7, 0.8, 0.9, 1, 0.9],
	audienceWeightings : [0.8, 1, 0.7],
	techLevel : 5,
	iconUri : eicon,
	events : [{
			id : 'b59c37f6-4c05-40a6-996c-c448126a0151',
			date : '19/7/1',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Some gamers are talking about PCs that they are so big and too heavy. Mobile market is expanding so many big corporations said that they will make GAMING notebooks. Small PCs like laptops and notebooks were on market almost from the beginning. But they were just small and slow. Now we are in miniaturisation era, so we can make good CPUs small. {n} The gaming notebooks boom will start {0}.".localize().format(General.getETADescription('19/7/1', '19/8/1')),
					image : eicon
				});
			}
		}
	]
});

var wicon = SuperConsoles_Haxor.modPath + '/source/img/Web.png';
GDT.addPlatform({
	id : 'Nope',
	name : 'Internet',
	company : 'many companies',
	startAmount : 0.24,
	unitsSold : 5.992,
	licencePrize : 0,
	published : '11/2/1',
	platformRetireDate : '256/12/4',
	developmentCosts : 250,
	genreWeightings : [0.9, 0.8, 0.6, 0.7, 0.8, 1],
	audienceWeightings : [1, 1, 0.7],
	techLevel : 5,
	iconUri : wicon,
	events : [{
			id : 'bLLA37f6-4c05-40a6-996c-c448126a0151',
			date : '10/12/1',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Popularity of Internet is rising all the time and with it popularity of Web-based games.".localize().format(General.getETADescription('10/12/1', '11/2/1')),
					image : wicon
				});
			}
		}
	]
});

var viticon = SuperConsoles_Haxor.modPath + '/source/img/PPV.png';
GDT.addPlatform({
	id : 'Noppe',
	name : 'PPV',
	company : 'Vonny',
	startAmount : 0.45,
	unitsSold : 8.010,
	licencePrize : 400000,
	published : '19/10/2',
	platformRetireDate : '256/12/4',
	developmentCosts : 100000,
	genreWeightings : [0.9, 1, 0.6, 0.7, 0.8, 1],
	audienceWeightings : [0.8, 1, 0.9],
	techLevel : 5,
	iconUri : viticon,
	events : [{
			id : 'b59c37f6-4c05-40a6-996c-c448666a0151',
			date : '19/8/2',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Vonny has just announced their second portable game console called PlaysystemPortable-Viva or PPV in short. The PPV will be the most advanced portable console ever. {n} It offers touch screen, 512 MB of RAM, and a powerful as for handheld graphic card. It will hit the shelves {0}.".localize().format(General.getETADescription('19/8/2', '19/10/2')),
					image : viticon
				});
			}
		}
	]
});

//Platforms Elver

var hicon = SuperConsoles_Haxor.modPath + '/source/img/Elver.png';
GDT.addPlatform({
	id : 'Elver',
	name : 'Elver',
	company : 'John Newb',
	startAmount : 0.03,
	unitsSold : 0.2,
	licencePrize : 0,
	published : '2/3/4',
	platformRetireDate : '2/12/1',
	developmentCosts : 5000,
	genreWeightings : [1, 1, 1, 1, 1, 1],
	audienceWeightings : [1, 1, 1],
	techLevel : 1,
	iconUri : hicon,
	events : [{
			id : '38b172d0-064b-4e80-bcb7-d5ddb622eb68',
			date : '2/3/2',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "John Newb has just announced his small and cheap console called Elver. It is not powerfull, but really cheap. It will hit shelves {0}.".localize().format(General.getETADescription('2/3/2', '2/3/4')),
					image : hicon
				});
			}
		}
	]
});

//Microcorp

var mionicon = SuperConsoles_Haxor.modPath + '/source/img/Micro1.png';
GDT.addPlatform({
	id : 'Wt123424f',
	name : 'Micro Box',
	company : 'Microcorp',
	startAmount : 0.105,
	unitsSold : 0.999,
	licencePrize : 175000,
	published : '8/1/4',
	platformRetireDate : '10/11/4',
	developmentCosts : 60000,
	genreWeightings : [0.8, 0.7, 1, 0.8, 0.9, 0.9],
	audienceWeightings : [0.9, 1, 0.7],
	techLevel : 3,
	iconUri : mionicon,
	events : [{
			id : '38b172d0-064b-4e80-6667-d5ddb622eb68',
			date : '7/11/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "A new company called Microcorp has announced their first game console called the Micro Box. It's a very small white cube, and uses Mega Cartridges. We do not know anything more, except that it will hit shelves {0}.".localize().format(General.getETADescription('7/11/4', '8/1/4')),
					image : mionicon
				});
			}
		}
	]
});

var miicon = SuperConsoles_Haxor.modPath + '/source/img/Micro.png';

GDT.addPlatform({
	id : 'Wt123424flol',
	name : 'Micro Box 3D',
	company : 'Microcorp',
	startAmount : 0.399,
	unitsSold : 1.186,
	licencePrize : 180000,
	published : '10/12/4',
	platformRetireDate : '12/12/4',
	developmentCosts : 80000,
	genreWeightings : [0.8, 0.7, 1, 0.8, 0.9, 0.9],
	audienceWeightings : [0.9, 1, 0.7],
	techLevel : 4,
	iconUri : miicon,
	events : [{
			id : '38b172d0-064b-4e80-6667-d5ddb62LELb68',
			date : '10/11/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Microcorp has just retired their Micro Box and announced a new console called Micro Box 3D. As the name says it offers 3D graphic and 24-bit processor, which is little weird. Anyway, it will hit shleves {0}.".localize().format(General.getETADescription('10/11/4', '10/12/4')),
					image : miicon
				});
			}
		}
	]
});

GDT.addPlatform({
	id : 'Wt123424flolHax0r',
	name : 'Micro Box Portable',
	company : 'Microcorp',
	startAmount : 0.7,
	unitsSold : 1.3,
	licencePrize : 200000,
	published : '11/2/2',
	platformRetireDate : '15/2/1',
	developmentCosts : 92500,
	genreWeightings : [0.7, 0.9, 1, 0.7, 0.6, 1],
	audienceWeightings : [1, 0.9, 0.6],
	techLevel : 3,
	iconUri : miicon,
	events : [{
			id : '38b172d0-064b-4e80-6667-HAX00000000RROX',
			date : '11/1/2',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Microcorp has just announced a new portable game console called Micro Box Portable. It looks very futuristic, but the specification looks more like the new Gameling. It has 762MB of RAM and 10 MHz processor. Its screen offers 16-bit colors. The Micro Box Portable (MP in short) will hit the shelves {0}. {n} We have some big news about Microcorp, they found a rich investor, and their consoles are selling well. So, we should see more consoles and games from Microcorp in the future.".localize().format(General.getETADescription('11/1/2', '11/2/2')),
					image : miicon
				});
			}
		}
	]
});


GDT.addPlatform({
	id : 'Wt123424flolHax0rrokz11',
	name : 'Micro Box Extreme',
	company : 'Microcorp',
	startAmount : 0.72,
	unitsSold : 1.1,
	licencePrize : 200000,
	published : '15/2/1',
	platformRetireDate : '25/2/1',
	developmentCosts : 100000,
	genreWeightings : [1, 1, 0.8, 0.6, 0.7, 0.7],
	audienceWeightings : [0.7, 1, 0.9],
	techLevel : 5,
	iconUri : miicon,
	events : [{
			id : '38b172d0-HAX1b-4e80-6667-HAX00000000RROX',
			date : '14/12/1',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Microcorp announced new console called Micro Box Extreme. As the name says, this console will be EXTREME, in the components power meaning. That's true, because it offers 64-bit Monorola 0DX-22.1, with 1GHz and 1 GB RAM. Microcorp said, that, the Micro Box Extreme is destined for mature gamers. It will hit shelves {0}.".localize().format(General.getETADescription('14/12/1', '15/2/1')),
					image : miicon
				});
			}
		}
	]
});

GDT.addPlatform({
	id : 'Wt123424fhaxlolh11',
	name : 'Micro Box Slim',
	company : 'Microcorp',
	startAmount : 1,
	unitsSold : 2.3,
	licencePrize : 200000,
	published : '19/4/1',
	platformRetireDate : '24/4/1',
	developmentCosts : 950000,
	genreWeightings : [0.8, 1, 0.9, 0.7, 0.7, 1],
	audienceWeightings : [0.8, 1, 0.7],
	techLevel : 4,
	iconUri : miicon,
	events : [{
			id : '38b172d0-HAX1b-4e80-6667-HASUPERHAX0X',
			date : '19/2/1',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Microcorp has just announced their new, long awaited console called Micro Box Slim. It's just a cheap Micro Box with a few improved components and hardware, which will hit shelves {0}.".localize().format(General.getETADescription('19/2/1', '19/4/1')),
					image : miicon
				});
			}
		}
	]
});

GDT.addPlatform({
	id : 'WtHunxerlolwtf1',
	name : 'Micro Box Hardcore',
	company : 'Microcorp',
	startAmount : 0.9,
	unitsSold : 1.6,
	licencePrize : 225000,
	published : '24/6/1',
	platformRetireDate : '30/2/1',
	developmentCosts : 1000000,
	genreWeightings : [1, 0.7, 0.8, 0.6, 0.9, 0.7],
	audienceWeightings : [0.7, 1, 0.9],
	techLevel : 5,
	iconUri : miicon,
	events : [{
			id : 'DerpHaxLolHaxer',
			date : '24/4/1',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Microcorp has just retired their MicroBox Slim, and now announced the MicroBox Hardcore. It's the most advanced console from Microcorp, and first one destined for older gamers. It offers about 256 MB of RAM, and will hit shelves {0}.".localize().format(General.getETADescription('24/4/1', '24/6/1')),
					image : miicon
				});
			}
		}
	]
});



//Smiths

var vicon = SuperConsoles_Haxor.modPath + '/source/img/Vex.png';
GDT.addPlatform({
	id : 'THE ID21',
	name : 'Vextrec',
	company : 'Smiths',
	startAmount : 0.35,
	unitsSold : 0.570,
	licencePrize : 17500,
	published : '2/7/4',
	platformRetireDate : '4/7/4',
	developmentCosts : 15000,
	genreWeightings : [0.8, 0.9, 0.7, 0.6, 0.9, 0.7],
	audienceWeightings : [0.7, 1, 0.6],
	techLevel : 1,
	iconUri : vicon,
	events : [{
			id : '9d36da57-fcf3-45c4-8f03-7fa9nohuNEOeuheueheuc4',
			date : '2/6/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "A company called Smiths has just announced their new game console called Vextrec. The Vextrec is a vector display-based video game console which 1,5 MHz processor and 1 KB of RAM. It looks like a little, rectangle TV with a small joystick. It will hit shleves {0}.".localize().format(General.getETADescription('2/6/4', '2/7/4')),
					image : vicon
				});
			}
		}
	]
});

//SNX

var Neicon = SuperConsoles_Haxor.modPath + '/source/img/Noe.png';
GDT.addPlatform({
	id : 'NoeGoe',
	name : 'Noe Goe',
	company : 'SNX',
	startAmount : 0.31,
	unitsSold : 0.599,
	licencePrize : 40000,
	published : '9/6/4',
	platformRetireDate : '13/4/2',
	developmentCosts : 35000,
	genreWeightings : [0.9, 1, 0.7, 0.6, 0.7, 0.6],
	audienceWeightings : [0.9, 1, 0.6],
	techLevel : 2,
	iconUri : Neicon,
	events : [{
			id : '9d36da57-fcf3-45c4-8f03-7fa9nohuNEOGOEeuheueheuc',
			date : '9/4/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "A new company called SNX announced a video game console called Noe Goe. It offers 2D color graphic, with 12 MHz Monorola`s processor. We will see it on shelves {0}.".localize().format(General.getETADescription('9/4/4', '9/6/4')),
					image : Neicon
				});
			}
		}
	]
});

//NIC

var Gfxicon = SuperConsoles_Haxor.modPath + '/source/img/Grafx.png';
GDT.addPlatform({
	id : 'MegaGraphz16',
	name : 'MegaGraphz-16',
	company : 'NIC',
	startAmount : 0.31,
	unitsSold : 0.599,
	licencePrize : 40000,
	published : '8/6/4',
	platformRetireDate : '10/4/2',
	developmentCosts : 35000,
	genreWeightings : [0.9, 0.7, 0.9, 0.6, 0.8, 0.8],
	audienceWeightings : [0.8, 1, 0.8],
	techLevel : 3,
	iconUri : Gfxicon,
	events : [{
			id : '9d36da57-fcf3-45c4-8f03-7fa9nohuNEGFXEeuheueheuc',
			date : '8/4/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "A new small company called NIC, has just announced the MegaGraphz-16. It's a 16 bit console with 8 - 64 KB RAM. It's a pretty small, dark video console. It will hit shelves {0}.".localize().format(General.getETADescription('8/4/4', '8/6/4')),
					image : Gfxicon
				});
			}
		}
	]
});


//MBox

var Inficon = SuperConsoles_Haxor.modPath + '/source/img/Inf.png';
GDT.addPlatform({
	id : 'DATBELONGSTOHAX0R',
	name : 'mBox Infinity',
	company : 'Micronoft',
	startAmount : 2,
	unitsSold : 3.7,
	licencePrize : 1250000,
	published : '27/11/4',
	platformRetireDate : '265/12/4',
	developmentCosts : 175000,
	genreWeightings : [0.8, 0.8, 0.9, 0.8, 0.9, 0.9],
	audienceWeightings : [0.9, 1, 0.7],
	techLevel : 7,
	iconUri : Inficon,
	events : [{
			id : '9d36da57-INFf3-45c4-8f03-7fa9nohuNEGFXEeuheueheuc',
			date : '27/9/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "One Week ago, Micronoft released their awesome mBox Next. Now, they announced the mBox Infinity, the cheaper version of mBox Next. It's not so big as it looks like, but in the inside, it is definitely bigger. Gamers liked the mBox One, and mBox Next Konnects, but Infinity`s Konnect will be built-in low quality move detector. But, Infinity is 120cr cheaper than mBox Next. It will hit shelves {0}.".localize().format(General.getETADescription('27/9/4', '27/11/4')),
					image : Inficon
				});
			}
		}
	]
});


//VGAGE

var gagicon = SuperConsoles_Haxor.modPath + '/source/img/Gage.png';
GDT.addPlatform({
	id : 'DATBELONGSAX0Rwhickz',
	name : 'Nonia VGage',
	company : 'Nonia',
	startAmount : 0.2,
	unitsSold : 0.4,
	licencePrize : 75000,
	published : '20/11/4',
	platformRetireDate : '22/1/4',
	developmentCosts : 175000,
	genreWeightings : [0.7, 1, 0.9, 0.6, 0.6, 1],
	audienceWeightings : [0.9, 1, 0.6],
	techLevel : 3,
	iconUri : gagicon,
	events : [{
			id : '9d36da57-INFfhaxhaxhaxhahxhac',
			date : '20/9/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Nonia, known phone manufacturer has announced their platform called VGage. It is a phone and a handheld console in one. It does not offer very good components, and if you want to use it to talk, You need to do it in a weird position. We do not augure this plarform a good life. It will hit shelves {0}.".localize().format(General.getETADescription('20/9/4', '20/11/4')),
					image : gagicon
				});
			}
		}
	]
});


//GHG

var ghgicon = SuperConsoles_Haxor.modPath + '/source/img/GHG.png';
GDT.addPlatform({
	id : 'DADeprlolhaxorez',
	name : 'Jupiter',
	company : 'GreenheartGames',
	startAmount : 0.2,
	unitsSold : 0.4,
	licencePrize : 20000,
	published : '2/10/4',
	platformRetireDate : '4/10/4',
	developmentCosts : 30000,
	genreWeightings : [0.7, 1, 1, 0.8, 0.8, 1],
	audienceWeightings : [1, 1, 0.6],
	techLevel : 1,
	iconUri : ghgicon,
	events : [{
			id : '9dHaxorisntsupidxhaxhahxhac',
			date : '2/9/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "GreenHeartGames, the company known for its small, very profitable games has just announced their first platform. It is called the Jupiter. It has a specification like TES, but Jupiter is smaller, and way lighter. However, there are some weaknesses. Only one at the time can play, and the cartridges port is at the side, so the cartridges are just standing out of the box. {n} The Jupiter will hit shelves {0}.".localize().format(General.getETADescription('2/9/4', '2/10/4')),
					image : ghgicon
				});
			}
		}
	]
});

var ghg2icon = SuperConsoles_Haxor.modPath + '/source/img/GHG2.png';
GDT.addPlatform({
	id : '123-Hax-123-SupCon',
	name : 'Apollo',
	company : 'GreenheartGames',
	startAmount : 0.4,
	unitsSold : 0.91,
	licencePrize : 27500,
	published : '5/12/4',
	platformRetireDate : '8/10/4',
	developmentCosts : 42000,
	genreWeightings : [0.6, 0.9, 1, 0.7, 0.9, 0.9],
	audienceWeightings : [0.9, 1, 0.6],
	techLevel : 1,
	iconUri : ghg2icon,
	events : [{
			id : '111-Hax-111-Event',
			date : '5/10/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Company called GreenheartGames has just announced their second console which they named Apollo. It is a thin rectangle, and it seems to do everything like Jupiter, but better. With that also comes better specification. It will hit shelves {0}.".localize().format(General.getETADescription('5/10/4', '5/12/4')),
					image : ghg2icon
				});
			}
		}
	]
});

//HyperScan

var hypicon = SuperConsoles_Haxor.modPath + '/source/img/Hyper.png';
GDT.addPlatform({
	id : 'HyperScan1haxor',
	name : 'MegaSkan',
	company : 'Hottel',
	startAmount : 0.31,
	unitsSold : 0.7482,
	licencePrize : 75000,
	published : '22/5/1',
	platformRetireDate : '23/6/4',
	developmentCosts : 100000,
	genreWeightings : [0.7, 0.9, 1, 0.7, 0.7, 0.9],
	audienceWeightings : [0.9, 1, 0.7],
	techLevel : 3,
	iconUri : hypicon,
	events : [{
			id : 'HAXHAChaxchunxeven26a0151',
			date : '22/3/1',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Hottel, Manufacturer of toys, has just announced their second console. It is called MegaSkan, because it uses RFID to scan CDs in UDF format. It is really underpowered, but cheap. Thought it looks like a bad quality console for kids. It will hit shelves {0}.".localize().format(General.getETADescription('22/3/1', '22/5/1')),
					image : hypicon
				});
			}
		}
	]
});

//Zeebo

var zebicon = SuperConsoles_Haxor.modPath + '/source/img/Zeb.png';
GDT.addPlatform({
	id : 'Zeebo1haxor',
	name : 'Neeboz',
	company : 'Company With Same Name As Its Consoles',
	startAmount : 0.42,
	unitsSold : 0.91,
	licencePrize : 80000,
	published : '27/2/1',
	platformRetireDate : '32/6/4',
	developmentCosts : 120000,
	genreWeightings : [0.6, 0.9, 0.9, 0.8, 0.7, 1],
	audienceWeightings : [1, 0.9, 0.6],
	techLevel : 5,
	iconUri : zebicon,
	events : [{
			id : 'HAXORmodSCmod-c448126a0151',
			date : '26/12/1',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "Neeboz has just announced their platform, taken from companys name, Neeboz. It is more of a small console for teens, than an alternative for mBox or PlaySystem. We do not know anything else, except that it will hit shelves in {0}.".localize().format(General.getETADescription('26/12/1', '27/2/1')),
					image : zebicon
				});
			}
		}
	]
});

//dono

var donicon = SuperConsoles_Haxor.modPath + '/source/img/Dono.png';
GDT.addPlatform({
	id : 'DONO2HAXXX',
	name : 'DONO',
	company : 'Mad Dogz',
	startAmount : 0.2,
	unitsSold : 1,
	licencePrize : 75000,
	published : '26/8/2',
	platformRetireDate : '256/12/4',
	developmentCosts : 100000,
	genreWeightings : [0.9, 0.7, 0.9, 0.6, 0.9, 1],
	audienceWeightings : [0.7, 1, 0.8],
	techLevel : 5,
	iconUri : donicon,
	events : [{
			id : 'DONOMADDOGZSCMOD123',
			date : '26/7/4',
			getNotification : function (company) {
				return new Notification({
					header : "Industry News".localize(),
					text : "We saw DONO on G3, but Mad Dogz only said about its name. Now they showed the design and features. Mad Dogz also said that DONO will run on Hard-droid system, used in smartphones. It will connect directly with Dongle Store, that means the DONO is un-portable phone. It will hit shelves {0}.".localize().format(General.getETADescription('26/7/4', '26/8/2')),
					image : donicon
				});
			}
		}
	]
});

//arcade

var arcicon = SuperConsoles_Haxor.modPath + '/source/img/Arc.png';
GDT.addPlatform({
	id : 'ARCADESUXNOIdeosntlolHaxorderp',
	name : 'Arcade',
	company : 'Arcade',
	startAmount : 0.6,
	unitsSold : 3,
	licencePrize : 0,
	published : '1/1/1',
	platformRetireDate : '12/8/4',
	developmentCosts : 25000,
	genreWeightings : [0.9, 0.9, 0.8, 0.9, 0.7, 1],
	audienceWeightings : [0.8, 1, 0.6],
	techLevel : 1,
	iconUri : arcicon,
	});

//Topics 



GDT.addTopics([
	{ 
		id: "Crime", 
		name: "Crime".localize("game topic"), 
		genreWeightings: [1, 0.7, 0.8, 0.6, 0.8, 0.6], 
		audienceWeightings: [0.6, 0.9, 1] 
	}
]);
 
GDT.addTopics([
	{ 
		id: "Theft", 
		name: "Theft".localize("game topic"), 
		genreWeightings: [1, 0.7, 0.8, 0.6, 0.8, 0.6], 
		audienceWeightings: [0.6, 1, 0.9] 
	}
]);

GDT.addTopics([
	{ 
		id: "Theftnosnad", 
		name: "Sandbox".localize("game topic"), 
		genreWeightings: [0.9, 0.6, 0.7, 0.9, 0.7, 1], 
		audienceWeightings: [0.8, 1, 0.7] 
	}
]);

GDT.addTopics([
	{ 
		id: "Platformer", 
		name: "Platformer".localize("game topic"), 
		genreWeightings: [0.9, 1, 0.8, 0.6, 0.6, 0.7], 
		audienceWeightings: [0.9, 1, 0.7] 
	}
]);

GDT.addTopics([
	{ 
		id: "Empire", 
		name: "Empire".localize("game topic"), 
		genreWeightings: [0.7, 0.8, 0.9, 0.9, 1, 0.7], 
		audienceWeightings: [0.8, 1, 0.6] 
	}
]);

GDT.addTopics([
	{ 
		id: "Sidescroller", 
		name: "SideScroller".localize("game topic"), 
		genreWeightings: [0.9, 1, 0.7, 0.6, 0.7, 0.7], 
		audienceWeightings: [0.7, 1, 0.7] 
	}
]);

GDT.addTopics([
	{ 
		id: "FPS", 
		name: "FPS".localize("game topic"), 
		genreWeightings: [1, 0.6, 0.7, 0.6, 0.7, 0.7], 
		audienceWeightings: [0.6, 0.8, 1] 
	}
]);

GDT.addTopics([
	{ 
		id: "FPsS", 
		name: "TPS".localize("game topic"), 
		genreWeightings: [1, 0.6, 0.6, 0.6, 0.8, 0.6], 
		audienceWeightings: [0.6, 0.9, 1] 
	}
]);

GDT.addTopics([
	{ 
		id: "FPslolS", 
		name: "Puzzle".localize("game topic"), 
		genreWeightings: [0.8, 0.9, 0.8, 0.6, 0.6, 1], 
		audienceWeightings: [0.7, 1, 0.7] 
	}
]);

/* 1-Action 2-Adventure 3-RPG 4-Simulation 5-Strategy 6-Casual */

//p-Research (lol)


GDT.addResearchItem(
	{
		id: "P1",
		name: "144p Support".localize(),
		v: 2,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Graphic') > 2;
		},
		category: "Quality",
		categoryDisplayName: "Quality".localize()
	});
	
	GDT.addResearchItem(
	{
		id: "P2Hax",
		name: "240p Support".localize(),
		v: 2,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Graphic') > 3;
		},
		category: "Quality",
		categoryDisplayName: "Quality".localize()
	});
	
	
	GDT.addResearchItem(
	{
		id: "P3Hax",
		name: "360p Support".localize(),
		v: 4,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Graphic') > 5;
		},
		category: "Quality",
		categoryDisplayName: "Quality".localize()
	});
	
	GDT.addResearchItem(
	{
		id: "P4Hax",
		name: "480p Support".localize(),
		v: 6,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Graphic') > 6;
		},
		category: "Quality",
		categoryDisplayName: "Quality".localize()
	});
	
	GDT.addResearchItem(
	{
		id: "P5Hax",
		name: "720p Support".localize(),
		v: 8,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Graphic') > 8;
		},
		category: "Quality",
		categoryDisplayName: "Quality".localize()
	});
	
	
	
	GDT.addResearchItem(
	{
		id: "PFinalHaxor",
		name: "1080p Support".localize(),
		v: 12,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Graphic') > 10;
		},
		category: "Quality",
		categoryDisplayName: "Quality".localize()
	});
	
	//K-research
	
	GDT.addResearchItem(
	{
		id: "K1Haxor",
		name: "2K Support".localize(),
		v: 10,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Graphic') > 8;
		},
		category: "Quality",
		categoryDisplayName: "Quality".localize()
	});
	
	GDT.addResearchItem(
	{
		id: "K2Haxor",
		name: "4K Support".localize(),
		v: 14,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Graphic') > 11;
		},
		category: "Quality",
		categoryDisplayName: "Quality".localize()
	});
	
	//Screen
	
	GDT.addResearchItem(
	{
		id: "Hax0rrawrlol",
		name: "Multi-Screen Support".localize(),
		v: 8,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Gameplay') > 5;
		},
		category: "Display",
		categoryDisplayName: "Display".localize()
          });


//Psychiclelelleellelelell
	
	 GDT.addResearchItem(
	{
		id: "12345313Haxorlol",
		name: "Real Life Physics".localize(),
		v: 10,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Engine') > 9;
		},
		category: "Engine",
		categoryDisplayName: "Engine".localize()
	});
	
	 GDT.addResearchItem(
	{
		id: "123453DOnotDuplicat",
		name: "Smooth Physics".localize(),
		v: 10,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Engine') > 7;
		},
		category: "Engine",
		categoryDisplayName: "Engine".localize()
	});
	
	//Graphz
	
	 GDT.addResearchItem(
	{
		id: "DatIPBelongstoHax0r",
		name: "Real Life Graphic".localize(),
		v: 10,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Graphic') > 7;
		},
		category: "Graphic",
		categoryDisplayName: "Graphic".localize()
	});
	
	//Gadgatz
	
	
	 GDT.addResearchItem(
	{
		id: "DatIPBelongstoHaxor1",
		name: "Gadgets".localize(),
		v: 6,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Gameplay') > 4;
		},
		category: "Gameplay",
		categoryDisplayName: "Gameplay".localize()
	});

GDT.addResearchItem(
	{
		id: "Indie Support",
		name: "Indie Support".localize(),
		v: 6,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Gameplay') > 4;
		},
		category: "Gameplay",
		categoryDisplayName: "Gameplay".localize()
	});

	GDT.addResearchItem(
	{
		id: "Basic Object Reflection",
		name: "Basic Object Reflection".localize(),
		v: 4,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Graphic') > 2;
		},
		category: "Graphic",
		categoryDisplayName: "Graphic".localize()
	});
	
	GDT.addResearchItem(
	{
		id: "Advanced Object Reflection",
		name: "Advanced Object Reflection".localize(),
		v: 6,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Graphic') > 4;
		},
		category: "Graphic",
		categoryDisplayName: "Graphic".localize()
	});

	GDT.addResearchItem(
	{
		id: "Super Advanced Object Reflection",
		name: "Super Advanced Object Reflection".localize(),
		v: 10,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Graphic') > 6;
		},
		category: "Graphic",
		categoryDisplayName: "Graphic".localize()
	});
	
	GDT.addResearchItem(
	{
		id: "Basic HUD",
		name: "Basic HUD".localize(),
		v: 2,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Graphic') > 1;
		},
		category: "Graphic",
		categoryDisplayName: "Graphic".localize()
	});
	
	GDT.addResearchItem(
	{
		id: "Good HUD",
		name: "Advanced HUD".localize(),
		v: 4,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Graphic') > 3;
		},
		category: "Graphic",
		categoryDisplayName: "Graphic".localize()
	});
	
	GDT.addResearchItem(
	{
		id: "Basissc HUD",
		name: "Great HUD".localize(),
		v: 8,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Graphic') > 6;
		},
		category: "Graphic",
		categoryDisplayName: "Graphic".localize()
	});
	
	GDT.addResearchItem(
	{
		id: "Basic wwww",
		name: "Basic Main Menu".localize(),
		v: 2,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Graphic') > 1;
		},
		category: "Graphic",
		categoryDisplayName: "Graphic".localize()
	});
	
	GDT.addResearchItem(
	{
		id: "Baswwwic wwww",
		name: "Advanced Main Menu".localize(),
		v: 6,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Graphic') > 3;
		},
		category: "Graphic",
		categoryDisplayName: "Graphic".localize()
	});
	 
	 GDT.addResearchItem(
	{
		id: "ANIMATIONZZZZ",
		name: "Animated Main Menu".localize(),
		v: 8,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Graphic') > 4;
		},
		category: "Graphic",
		categoryDisplayName: "Graphic".localize()
	});
	
	 //New Research
	 
	  GDT.addResearchItem(
	{
		id: "ANIMATIONZZZZno",
		name: "Simple Story".localize(),
		v: 2,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Story/Quests') > 1;
		},
		category: "Story/Quests",
		categoryDisplayName: "Story/Quests".localize()
	});
	
	 GDT.addResearchItem(
	{
		id: "ANIMATIONZZZZnope",
		name: "Advanced Story".localize(),
		v: 6,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Story/Quests') > 3;
		},
		category: "Story/Quests",
		categoryDisplayName: "Story/Quests".localize()
	});
	
	 GDT.addResearchItem(
	{
		id: "ANIMATIONZZZZnoOooo",
		name: "Bosses".localize(),
		v: 4,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Level Design') > 2;
		},
		category: "Level Design",
		categoryDisplayName: "Level Design".localize()
	});
	
	 GDT.addResearchItem(
	{
		id: "ANIMATIONZZZZdehel",
		name: "Surrealistic AI".localize(),
		v: 12,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('AI') > 9;
		},
		category: "AI",
		categoryDisplayName: "A.I.".localize()
	});
	 
	 GDT.addResearchItem(
	{
		id: "12Haxorlol",
		name: "Difficulty Settings".localize(),
		v: 6,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('AI') > 4;
		},
		category: "AI",
		categoryDisplayName: "A.I.".localize()
	});
	
	 GDT.addResearchItem(
	{
		id: "1233Haxorlol",
		name: "Difficult Quests".localize(),
		v: 6,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Story/Quests') > 4;
		},
		category: "Story/Quests",
		categoryDisplayName: "Story/Quests".localize()
	});
	
	//New
	
GDT.addResearchItem(
	{
		id: "TheHackor1337661",
		name: "Character Customization".localize(),
		v: 6,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Engine') > 2;
		},
		category: "Engine",
		categoryDisplayName: "Engine".localize()
	});
	
	GDT.addResearchItem(
	{
		id: "THackHACXor1337661",
		name: "Motion Detectors Support".localize(),
		v: 6,
		canResearch: function (company) {
			return LevelCalculator.getMissionLevel('Gameplay') > 5;
		},
		category: "Gameplay",
		categoryDisplayName: "Gameplay".localize()
	});
	
	//Notifications
GDT.addEvent({
	id: "NewNot1",
	date: "1/1/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Thanks For Using SuperConsoles",
	text: "This is a quick thank-you for downloading this modification, and small info that it is working. Enjoy!",
	image: "",
	buttonText: "Yey",
	weeksUntilFired: 0
	});} 
	});
	
	GDT.addEvent({
	id: "NewNot2",
	date: "29/10/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "New Platform(?)",
	text: "There are many people talking about 'Return of Vena', the second one. They are talking about something very powerful, big and that it will beat mBox and Playsystem. Those are just small gossips, but We are curious.",
	image: "",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	});
	
	GDT.addEvent({
	id: "NewNot3",
	date: "29/12/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "New Platform(?), Part 2",
	text: "Two months ago there were many 'gossips' about new platform by Vena. Today they look very real. Vena announced 'something' Really, that is how They called it. People have also devised a name, Vena 'Deleter', 'Destroyer' 'Killer', because of it destroying competition. We should see 'something' being announced in about two months.",
	image: "",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	});
	
	//Events
	
	var Id = "HaxorIsTheBestAndSuperConsolestoo";
	
	var Event1 = {
	id: Id,
	isRandom: true,
	maxTriggers: 4,
	trigger: function (company) {
   company.isGameProgressBetween(0.2, 0.9);
	},
	getNotification: function (company) {
        var game = company.currentGame;
		
		var ms = "While working on {0} We had a blackout! It was caused by 'Elentrix' and their internal, predictable problems. We can sue them or repair the damages and try to get back our progress.".localize().format(game.title);
		return new Notification({
		sourceId: Id,
		header: "Blackout!",
		text: ms,
		options: ["Pay For Damages ~70k", "Go To Court With Our Power Provider"]
		});
		},
		
		
		complete: function (decision) {
		
		 var company = GameManager.company;
		
		if (decision === 0) {
		var n = new Notification({
		header: "Done",
		text: "We Have Paid 72.000$ For All The Damage. Everything Is Fine Now.",
		});
		n.adjustCash(-72000, "Repairs");
		 company.notifications.push(n);
		 return;
		}
		
		if (decision === 1) {
		var n = new Notification({
		header: "Court",
		text: "You have sued 'Elentrix', Yours power supplier. {n} You have won! Elentrix have paid for all the damages, and everyone heard about that, so people are hyped for our upcoming games!",
		});
		n.adjustHype(10 + 15 * company.getRandom());
		 company.notifications.push(n);
		 return;
		 }
		 }
		 };
		 
		 GDT.addEvent(Event1);
		 
		 var Id2 = "HaxorIsTheBestAndSuperConsolest001";

	var Event2 = {
	id: Id2,
	isRandom: false,
	maxTriggers: 1,
	date: "24/11/4",
	ignoreGameLengthModifier: false,
	getNotification: function (company) {
		
		var msg = "Coden And Grapple Have Hard Situation. Grapple Sued Coden, Because They Were Copying Their Phones. All CFons Are Very Similar To grPhones. {n} Now, They Sent Us The Messages, They Want Us To Help Them. We Can Choose Grapple or Coden side."
		return new Notification({
		sourceId: Id2,
		header: "Hard Situation",
		text: msg,
		options: ["Help Grapple", "Help Coden", "Forget About Those Messages"]
		});
		},
		
		complete: function (decision) {
		
		if (decision === 0) {  //Grapple
		var n = new Notification({
		header: "Thank You!",
		text: "Thanks for your respect. Now, we will win for sure. Again Thanks. {n} We knew It! We Have won! Those stupid guys from Coden, they should go to jail. CFons are repliques of grPhones! Once again, again Thank You.",
		});
		n.adjustCash(-65000, "Court");
		n.adjustHype(4 + 10 * GameManager.company.getRandom());
		 GameManager.company.notifications.push(n);
		 return;
		}
		
		if (decision === 1) { //Coden
		var n = new Notification({
		header: "Thanks",
		text: "Wow, We didn't expect that, big company, like You could help us, because we are weaker than Grapple. We hope that we will win with Grapple now! It will be hard, because they have good lawyers. {n} We have lost. CFons are not just copied grPhones. They were inspired by their success, but they are way different. Anyway, big thanks for being with us.",
		weeksUntilFired: 1,
		});
		n.adjustCash(-75000, "Court");
		n.adjustHype(10 + 15 * GameManager.company.getRandom());
		 GameManager.company.notifications.push(n);
		 return;
		 }
		 
		 if (decision === 2) { 
		var n = new Notification({
		header: "Grapple",
		text: "You did wrong. Those stupid CFons are just grPhones with very stupid names! Thankfully we have won without Your help.{n} We did not recieved any message from Coden. They have lost, just like everyone knew. {n} I think they will stop developing CFons/CTaps.",
		weeksUntilFired: 1,
		});
		n.adjustFansmath.floor((15 + 15 * GameManager.company.getRandom()));
		 GameManager.company.notifications.push(n);
		 return;
		 }
		 
		 }
		 };
		 
		 GDT.addEvent(Event2);
		 
		//Announce
var hype;
var cost;
var fans;
var shMenu = UI._showContextMenu;
var shMyMenu = function(type, menuItems, x, y) {

		game = GameManager.company.currentGame;
			if (GameManager.company.isCurrentlyDevelopingGame()) {
		menuItems.push({
			label: "Announce {0}".localize().format(GameManager.company.currentGame.title),
			action: function() {
			
			Sound.click();
				GameManager.resume(true);
				
		if (GameManager.company.isCurrentlyDevelopingGame() && game.gameSize == "small") {
			hype = GameManager.company.adjustHype(9 + 9) * GameManager.company.getRandom();
			cost = GameManager.company.adjustCash(-30000, "Game Announcement");	
			fans = GameManager.company.adjustFans(Math.floor(10 + 20) *  GameManager.company.getRandom());
			
		} else if (GameManager.company.isCurrentlyDevelopingGame() && game.gameSize == "medium") {
			hype = GameManager.company.adjustHype(Math.floor(15 + 20) * GameManager.company.getRandom());
			cost = GameManager.company.adjustCash(-75000, "Medium Game Announcement");			
			fans = GameManager.company.adjustFans(Math.floor(30 + 30) *  GameManager.company.getRandom());
			
		} else if (GameManager.company.isCurrentlyDevelopingGame() && game.gameSize == "large") {
			hype = GameManager.company.adjustHype(Math.floor(25 + 25) * GameManager.company.getRandom());
			cost = GameManager.company.adjustCash(-175000, "Large Game Announcement");	
			fans = GameManager.company.adjustFans(Math.floor(90 + 90) *  GameManager.company.getRandom());
			
		} else if (GameManager.company.isCurrentlyDevelopingGame() && game.gameSize == "aaa") {
			hype = GameManager.company.adjustHype(Math.floor(35 + 35) * GameManager.company.getRandom());
			cost = GameManager.company.adjustCash(-500000, "AAA Game Announcement");	
			fans = GameManager.company.adjustFans(Math.floor(150 + 150) *  GameManager.company.getRandom());
		};
				
				GameManager.company.notifications.push(new Notification("Game Announced!", "We have succesfully announced Our upcoming game. We can do it again, just say more things about Our game, to hype it even more!"));
				Math.round(hype);
				cost;
Math.round(fans);
			}				
		});
	}

	shMenu(type, menuItems, x, y);
}
UI._showContextMenu = shMyMenu;